import java.util.List;
import java.util.LinkedList;

public class Ex2_Covariant
{
   public static void drawAll(List<? extends Shape> shapes)
   {
      for (Shape shape : shapes)
      {
         shape.draw();
      }
   }

   public static void main(String [] args)
   {
      drawAll(new LinkedList<Shape>());
      drawAll(new LinkedList<Circle>());
      drawAll(new LinkedList<Square>());
   }
}
